Cannot uninstall Xcode 3.0

Discussion in 'Mac Programming' started by xwilx, Jan 16, 2010.

  1. xwilx macrumors newbie

    Joined:
    Aug 14, 2007
    #1
    I have been using Xcode 3.0 on Leopard 10.5.4. Recently I upgraded the os to Snow Leopard 10.6.2. And now I want to upgrade Xcode to 3.2.1 too. I read the documentation of Xcode (for 3.0) and it said that I can remove Xcode with the following command:
    $ sudo /Developer/Library/uninstall-devtools --mode=all

    Running that command, and I got the following errors:
    ERROR: Can't locate uninstaller script /Library/Developer/3.0/uninstall-devtools
    ERROR: Can't locate uninstaller script /Library/Developer/Shared/uninstall-devtools
    Can't determine system version.

    Anybody has this problem before? What should I do to remove Xcode 3.0 completely so that I can install the new Xcode 3.2.1?

    Any help is appreciated! Thanks a lot!

    wil.
     
  2. szymczyk macrumors regular

    Joined:
    Mar 5, 2006
    #2
    Since you're unable to uninstall Xcode 3.0, I suggest installing Xcode 3.2.1 without uninstalling Xcode 3.0. Uninstalling Xcode is not mandatory. Installing Xcode 3.2.1 should overwrite your Xcode 3.0 installation.
     
  3. Heath macrumors regular

    Joined:
    Aug 19, 2005
    Location:
    Canada
    #3
    I had this issue when I upgraded from Tiger to Snow Leopard, the problem is that the script used has no way of recognizing your OS version since the script was written for an earlier version of the OS and can't continue.
    What ended up working for me is I went through the script manually and deleted everything I could locate relating to xcode then installed the latest version of xcode.
    It worked about 80%, I installed it again without deleting stuff and it works 100% now.
    For future reference, I would uninstall xcode using the script before doing OS upgrades unless you like going through the uninstall script and doing it manually ;)
     

Share This Page